Foxit PDF SDK

Public Types | Public Member Functions | List of all members
foxit::common::Progressive Class Reference
Inheritance diagram for foxit::common::Progressive:

## Public Types
enum | State { e_Error = 0, e_ToBeContinued = 1, e_Finished = 2 }
| Enumeration for progress state. More...

## Public Member Functions
| Progressive (const Progressive &other)
| Constructor, with another progressive object. More...
| ~Progressive ()
| Destructor.
State | Continue ()
| Continue the progressive process. More...
int | GetRateOfProgress ()
| Get the rate of current progress. More...
Progressive & | operator= (const Progressive &other)
| Assign operator. More...
Public Member Functions inherited from foxit::Base
FS_HANDLE | Handle () const
| Get the handle of current object. More...

## Detailed Description

This class represents a progressive object, which is used for progressive process such as loading document, parsing page and so on.

## Member Enumeration Documentation

## ◆ State

enum foxit::common::Progressive::State

Enumeration for progress state.

Values of this enumeration should be used alone.

Enumerator
e_Error | Progress state: any error occurs.
e_ToBeContinued | Progress state: progress needs to be continued.
e_Finished | Progress state: progress is finished.

## Constructor & Destructor Documentation

## ◆ Progressive()

foxit::common::Progressive::Progressive | ( | const Progressive & | other | ) |

Constructor, with another progressive object.

Parameters

  [in] | other | Another progressive object.

## Member Function Documentation

## ◆ Continue()

State foxit::common::Progressive::Continue | ( |  | ) |

Continue the progressive process.

Returns
  Progressive::e_Finished means current process is finished successfully.
  Progressive::e_ToBeContinued means current process is suspended, and this function needs to be called again to continue the process.
  Progressive::e_Error means any error occurs.

## ◆ GetRateOfProgress()

int foxit::common::Progressive::GetRateOfProgress | ( |  | ) |

Get the rate of current progress.

Returns
  An integer between 0 and 100 (inclusive), indicating the rate of current progress. -1 means error.

## ◆ operator=()

Progressive& foxit::common::Progressive::operator= | ( | const Progressive & | other | ) |

Assign operator.

Parameters

  [in] | other | Another progressive object, whose value would be assigned to current object.

Returns
  Reference to current object itself.